List related runs
curl --request GET \
--url https://agents.withgauge.com/api/v1/orgs/{org}/visibility-prompts/{visibilityPromptId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.withgauge.com/api/v1/orgs/{org}/visibility-prompts/{visibilityPromptId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.withgauge.com/api/v1/orgs/{org}/visibility-prompts/{visibilityPromptId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "not_found",
"message": "Run not found"
}
}{
"error": {
"code": "not_found",
"message": "Run not found"
}
}{
"error": {
"code": "not_found",
"message": "Run not found"
}
}{
"error": {
"code": "not_found",
"message": "Run not found"
}
}{
"error": {
"code": "not_found",
"message": "Run not found"
}
}{
"error": {
"code": "not_found",
"message": "Run not found"
}
}Agent Preference
List related runs
List related runs for an organization. The organization can be addressed by slug or public ID.
GET
/
api
/
v1
/
orgs
/
{org}
/
visibility-prompts
/
{visibilityPromptId}
/
runs
List related runs
Authorizations
A personal access token created with gauge auth tokens create or the Gauge web app.
Path Parameters
Organization slug or public ID.
VisibilityPromptId.
Response
Successful response
The response is of type object.
⌘I